Application: gvSIG desktop - gvSIG bugs #2836
Error simplifying legend and using Undo tool in the Layout
09/22/2014 08:30 AM - Mario Carrera

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo

Category: Document layout

Target version: 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90,

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2247 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

If follow these steps:

- we insert a legend in a layout,

- we simplify it

- we remove the text with the name of the layer for example with "Remove selected elements"” tool.
- we undo

the legend is duplicated, one of them is joined and the other one is simplified.

After that | saved the project, and | couldn't open it again, | get an error.

| attach the following files:

- gvSIG.log with the undo error.

- gvSIG.log when opening the project
- The project that gives the error.

History

#1 - 01/28/2015 12:29 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

- Assignee set to Cesar Martinez Izquierdo

#2 - 03/25/2015 07:22 PM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#3 - 03/27/2015 05:48 PM - Cesar Martinez lzquierdo
- Status changed from In progress to Outdated

I can't reproduced it now. Probably it was fixed as a collateral effect of fixing the history behaviour in the past months.
Please, reopen the ticket if you can reproduce the bug again.

#4 - 04/02/2015 06:33 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)

Files

gvSIG-deshacer-mapa.log 504 KB 09/22/2014 Mario Carrera

gvSIG-error-abrir-proyecto.log 327 KB 09/22/2014 Mario Carrera

proj2.gvsproj 79.8 KB 09/22/2014 Mario Carrera
